Subject: bug#16028: 24.3.50; Latest build completely breaks my thumnail frames code

From: martin rudalics <[email-masked]>
Date: Fri, 13 Dec 2013 19:23:41 +0100

>> To thumbify
 >> (1) Save the current frame pixel size, font and scrollbar width.
 >> (2) Set the new font size.
 >> (3) Set the new scrollbar width.
 >> (4) Set the new pixel size to some calculated from the one saved in
 >>     (1) and the scale factor used in (2).
 >>
 >> To dethumbify
 >> (5) Set the new font size to the one saved in (1).
 >> (6) Set the new scrollbar width to the one saved in (1).
 >> (7) Set the new frame pixel size to the one saved in (1).
 >
 > a. I don't know how to get the frame pixel size.  Do you mean only
 > `frame-pixel-width'?

And `frame-pixel-height'.  You can use the line/column values instead.
Just that if the frame did not have an integral multiple of
lines/columns before, you won't restore the exact size afterwards.

 > b. I need to allow users to specify settings for thumbified frames
 > (option `thumfr-frame-parameters').

Process them in (3) and revert them before (7).

 > c. I need to be able to record the current frame parameters and use
 > them to restore - for both thumbified and non-thumbified frames.
 > I store this info in frame parameters `thumfr-thumbnail-frame' and
 > `thumfr-non-thumbnail-frame'.

Save them in (1) and restore them before (7).

 > Perhaps you can make a concrete suggestion, since you seem to understand
 > what you have in mind by (1)-(7).  I do not.

What is it you don't understand?

 > But when I asked for concrete suggestions for "trying to get my code to
 > work properly with your new code" you replied "I'm afraid there's not
 > much you can do here."

Let's hope I was wrong when I said that.

martin